:root {
  --font-family-heading: "Barlow", sans-serif;
  --font-family-body: "Barlow", sans-serif;

  --title-size-1: clamp(3rem, 2.6151rem + 1.7105vw, 3.8125rem);
  --title-size-2: clamp(2.5rem, 2.2336rem + 1.1842vw, 3.0625rem);
  --title-size-3: clamp(2.0625rem, 1.8849rem + 0.7895vw, 2.4375rem);
  --title-size-4: clamp(1.75rem, 1.6612rem + 0.3947vw, 1.9375rem);
  --title-size-5: clamp(1.4375rem, 1.3783rem + 0.2632vw, 1.5625rem);
  --title-size-6: clamp(1.1875rem, 1.1579rem + 0.1316vw, 1.25rem);
  --title-subtitle: 0.875rem;
  --body-size-l: 1.125rem;
  --body-size-m: 1rem;
  --body-size-s: 0.875rem;
}

/* Global Typography Overrides */
body {
  font-family: var(--font-family-body) !important;
  font-size: var(--body-size-m);
}

h1, .h1, .elementor-heading-title.elementor-size-default {
  font-family: var(--font-family-heading) !important;
  font-size: var(--title-size-1) !important;
}

h2, .h2 {
  font-family: var(--font-family-heading) !important;
  font-size: var(--title-size-2) !important;
}

h3, .h3 {
  font-family: var(--font-family-heading) !important;
  font-size: var(--title-size-3) !important;
}

h4, .h4 {
  font-family: var(--font-family-heading) !important;
  font-size: var(--title-size-4) !important;
}

h5, .h5 {
  font-family: var(--font-family-heading) !important;
  font-size: var(--title-size-5) !important;
}

h6, .h6 {
  font-family: var(--font-family-heading) !important;
  font-size: var(--title-size-6) !important;
}
